## loggerhead 1.18.1

=== Makefile ===

PYTHON ?= python

dist:
	$(PYTHON) ./setup.py sdist

clean:
	rm -rf dist/

check:
	# XXX MichaelHudson 2007-10-29 bug=158361: We can't run the loggerhead
	# tests in PQM yet :(

## loggerhead 1.17+bzr424

=== debian/changelog ===
loggerhead (1.17+bzr424-1ubuntu1.1) maverick-security; urgency=low

  * SECURITY UPDATE: Cross-site scripting vulnerabilities by crafted branch
    contents. (LP: #740142)
    - debian/patches/bug-740142.diff: improve escaping of filenames.
    - CVE-2011-0728

 -- William Grant <william.grant@canonical.com>  Thu, 24 Mar 2011 13:20:04 +1100

loggerhead (1.17+bzr424-1ubuntu1) maverick; urgency=low

  * debian/control: Recommend python-pygments to support
    syntax-highlighting. (LP: #607775)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 08 Sep 2010 20:24:25 -0400

loggerhead (1.17+bzr424-1) unstable; urgency=low

  * Use source format version 3.
  * Bump standards version to 3.8.4
  * Use new upstream snapshot.
   + Fixes import issues when running full Bazaar testsuite.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 08 Feb 2010 01:17:39 +0100

loggerhead (1.17+bzr400-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Jan 2010 18:33:40 +1300

loggerhead (1.17-1) unstable; urgency=low
  
  * New upstream release.  Loggerhead no longer flattens branch
    hierarchies (closes: #507001).

  [ Roland Mas ]
  * Use the YUI library provided by libjs-yui. (Closes: #511286)
  * Switch init script to use serve-branches rather than
    start-loggerhead (closes: #511295).

  [ Jelmer Vernooij ]
  * Use my debian.org address in Uploaders field.
  * Add ${misc:Depends} to please lintian.
  * Suggest recent version of paste, which doesn't expose internal port
    numbers in links. (Closes: #507000)
  * Bump standards version to 3.8.3.

  [ James Westby ]
  * New upstream release.
  * Drop get-orig-source rule in favour of debian/watch.
  * Add python-pkg-resources and python-paste to Build-Depends,
    python-pkg-resources to Depends and python-simplejson to
    Recommends due to dependency changes.

  [ Jelmer Vernooij ]
  * Remove references to bzrlib installation from example config file.

  [ Roland Mas ]
  * Added myself to Uploaders.
  * Documented version discrepancy between the YUI shipped by libjs-yui
    and the one used by Loggerhead, as well as a workaround to be used
    until YUI 3 becomes available.

 -- Roland Mas <lolando@debian.org>  Tue, 29 Sep 2009 15:57:44 +0200

loggerhead (1.10-1) unstable; urgency=low

  * New upstream release.
  * Stop writing home directory to pid file. (Closes: #507002)
  * Use objlib from bzr. (Closes: #506999)
  * Fix dependency on python-paste.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 09 Dec 2008 01:04:39 +0100

loggerhead (1.6+bzr245-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 21 Nov 2008 01:11:24 +0100

loggerhead (1.6+bzr241-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 07 Nov 2008 16:03:13 +0100

loggerhead (1.6-1) unstable; urgency=low

  * Initial release. (Closes: #492477)

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 25 Jul 2008 22:43:49 +0200

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Roland Mas <lolando@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: bzr (>= 1.5)
Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python, python-pkg-resources, python-paste (>= 1.6)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/loggerhead/unstable/

Package: loggerhead
Architecture: all
Depends: bzr (>= 1.5), bzr (<< 2.3~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), libjs-yui, ${misc:Depends}, adduser
Suggests: python-pastedeploy (>= 1.3.0)
Enhances: bzr
Recommends: bzr-search, python-simplejson, python-pygments
XB-Python-Version: ${python:Versions}
Description: Web viewer for Bazaar
 This is a web viewer for projects in the Bazaar version control system. 
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.

## loggerhead 1.17+bzr429

=== debian/changelog ===
loggerhead (1.17+bzr429-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * debian/control:
   - Recommend python-pygments to support syntax-highlighting. (LP: #607775)
   - Add Vcs-Browser field.
   - Bump Standards-Version to 3.9.1, no-changes needed.

  [ Jelmer Vernooij ]
  * New upstream snapshot.
  * Cope with bzrlib.util.configobj no longer existing.
  * Add convenience script for automatically updating dependencies.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 11 Oct 2010 11:00:01 +0200

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Roland Mas <lolando@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: bzr (>= 1.13~), bzr (<< 2.4~)
Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python, python-pkg-resources, python-paste (>= 1.6)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/loggerhead/unstable/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/loggerhead/unstable/files

Package: loggerhead
Architecture: all
Depends: bzr (>= 1.13~), bzr (<< 2.4~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), libjs-yui, ${misc:Depends}, adduser
Suggests: python-pastedeploy (>= 1.3.0)
Enhances: bzr
Recommends: bzr-search, python-simplejson, python-pygments
XB-Python-Version: ${python:Versions}
Description: Web viewer for Bazaar
 This is a web viewer for projects in the Bazaar version control system. 
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	-rm -rf build test*.tmp 
	find . -name "*.pyc" -print0 | xargs -0 rm -f

## loggerhead 1.18

=== debian/changelog ===
loggerhead (1.18-1) unstable; urgency=low

  [ Max Bowsher ]
  * New upstream release.
   + Depends on bzr >= 1.17. Closes: #605653
  * Remove remnants of patching to use the system YUI, which actually broke
    the use of YUI entirely. Loggerhead requires YUI 3, which is
    not packaged yet. Until it is, include YUI.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Dec 2010 14:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Roland Mas <lolando@debian.org>
 Homepage: https://launchpad.net/loggerhead
-Build-Depends-Indep: bzr (>= 1.13~), bzr (<< 2.4~)
+Build-Depends-Indep: bzr (>= 1.17~), bzr (<< 2.4~)
 Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python, python-pkg-resources, python-paste (>= 1.6)
 Standards-Version: 3.9.1
 XS-Python-Version: >= 2.4
@@ -13,7 +13,7 @@
 
 Package: loggerhead
 Architecture: all
-Depends: bzr (>= 1.13~), bzr (<< 2.4~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), libjs-yui, ${misc:Depends}, adduser
+Depends: bzr (>= 1.17~), bzr (<< 2.4~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), ${misc:Depends}, adduser
 Suggests: python-pastedeploy (>= 1.3.0)
 Enhances: bzr
 Recommends: bzr-search, python-simplejson, python-pygments

## loggerhead 1.18.1

=== debian/changelog ===
loggerhead (1.18.1-3) unstable; urgency=low

  [ Max Bowsher ]
  * Re-arrange | condition in build deps to make sbuild happy. Closes: #629783

  [ Jelmer Vernooij ]
  * Depend on python-bzrlib rather than bzr.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 09 Jun 2011 22:48:50 +0100

loggerhead (1.18.1-2) unstable; urgency=low

  * Add build dependency on python-bzrlib.tests, required for newer
    versions of bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 02:55:06 +0200

loggerhead (1.18.1-1) unstable; urgency=high

  * Bump python-simplejson from Recommends to Depends, as loggerhead
    breaks with python-json. LP: #586611
  * Switch to dh_python2. Closes: #616876
  * Switch to debhelper 7, drop cdbs.
  * Claim support for Bazaar 2.4.
  * New upstream release.
   + Fixes escaping of filenames in revision views. (CVE-2011-0728)
     LP: #740142

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Mar 2011 01:02:13 +0100

loggerhead (1.18-2) unstable; urgency=low

  * Run the test suite during package build.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 27 Feb 2011 23:27:37 +0100

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Roland Mas <lolando@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: bzr (>= 1.17~), bzr (<< 2.5~), python-testtools, python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2)
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-pkg-resources, python-paste (>= 1.6), python-simpletal, python-simplejson
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/loggerhead/unstable/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/loggerhead/unstable/files

Package: loggerhead
Architecture: all
Depends: python-bzrlib (>= 1.17~), python-bzrlib (<< 2.5~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), ${misc:Depends}, adduser, python-simplejson
Suggests: python-pastedeploy (>= 1.3.0)
Enhances: bzr
Recommends: bzr-search, python-pygments
Description: Web viewer for Bazaar
 This is a web viewer for projects in the Bazaar version control system. 
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --buildsystem=python_distutils $*

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(CONCURRENCY) BZR_PLUGINS_AT=loggerhead@$(CURDIR) /usr/bin/bzr selftest \
	    --parallel=fork -v -s bp.loggerhead
endif

## loggerhead 1.18.1+bzr447

=== debian/changelog ===
loggerhead (1.18.1+bzr447-2) unstable; urgency=low

  [ Max Bowsher ]
  * Re-arrange | condition in build deps to make sbuild happy.

  [ Andrew Starr-Bochicchio ]
  * Add new loggerhead-doc package (Closes: #626335).
  * Bump Standards-Version to 3.9.2, no changes.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 19 Jul 2011 21:20:08 +0200

loggerhead (1.18.1+bzr447-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 02 Jun 2011 14:11:55 +0200

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Roland Mas <lolando@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: bzr (>= 1.17~), bzr (<< 2.5~), python-testtools, python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-sphinx
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-pkg-resources, python-paste (>= 1.6), python-simpletal, python-simplejson
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/loggerhead/unstable/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/loggerhead/unstable/files

Package: loggerhead
Architecture: all
Depends: bzr (>= 1.17~), bzr (<< 2.5~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), ${misc:Depends}, adduser, python-simplejson
Suggests: python-pastedeploy (>= 1.3.0), loggerhead-doc
Enhances: bzr
Recommends: bzr-search, python-pygments
Description: Web viewer for Bazaar
 This is a web viewer for projects in the Bazaar version control system. 
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches. 

Package: loggerhead-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: loggerhead
Enhances: loggerhead
Description: Web viewer for Bazaar (documentation)
 This is a web viewer for projects in the Bazaar version control system. 
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.
 .
 This package provides the documentation.

## loggerhead 1.18.1+bzr457

=== debian/changelog ===
loggerhead (1.18.1+bzr457-1) unstable; urgency=low

  * Mark as compatible with pre-releases of bzr 2.5.
  * New upstream snapshot.
  * Move local changes into debian/. Closes: #643204
  * Fix update-deps.py to not remove loggerhead-doc.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 30 Sep 2011 10:20:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Roland Mas <lolando@debian.org>
 Homepage: https://launchpad.net/loggerhead
-Build-Depends-Indep: bzr (>= 1.17~), bzr (<< 2.5~), python-testtools, python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-sphinx
+Build-Depends-Indep: bzr (>= 1.17~), bzr (<< 2.5.0), python-testtools, python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-sphinx
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-pkg-resources, python-paste (>= 1.6), python-simpletal, python-simplejson
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
@@ -13,7 +13,7 @@
 
 Package: loggerhead
 Architecture: all
-Depends: bzr (>= 1.17~), bzr (<< 2.5~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), ${misc:Depends}, adduser, python-simplejson
+Depends: bzr (>= 1.17~), bzr (<< 2.5~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), ${misc:Depends}, adduser, python-simplejson, python-bzrlib (>= 1.17~), python-bzrlib (<< 2.5.0)
 Suggests: python-pastedeploy (>= 1.3.0), loggerhead-doc
 Enhances: bzr
 Recommends: bzr-search, python-pygments

## loggerhead 1.19~bzr461

=== debian/changelog ===
loggerhead (1.19~bzr461-1) unstable; urgency=low

  * New upstream snapshot.
  * Add build-dependency on python-fixtures, required for running testsuite.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 26 Nov 2011 18:50:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Roland Mas <lolando@debian.org>
 Homepage: https://launchpad.net/loggerhead
-Build-Depends-Indep: bzr (>= 1.17~), bzr (<< 2.5.0), python-testtools, python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-sphinx
+Build-Depends-Indep: bzr (>= 1.17~), bzr (<< 2.6.0), python-testtools, python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-sphinx, python-fixtures
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-pkg-resources, python-paste (>= 1.6), python-simpletal, python-simplejson
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
@@ -13,14 +13,14 @@
 
 Package: loggerhead
 Architecture: all
-Depends: bzr (>= 1.17~), bzr (<< 2.5~), ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), ${misc:Depends}, adduser, python-simplejson, python-bzrlib (>= 1.17~), python-bzrlib (<< 2.5.0)
-Suggests: python-pastedeploy (>= 1.3.0), loggerhead-doc
+Depends: ${python:Depends}, python-simpletal, python-pkg-resources, python-paste (>= 1.6), ${misc:Depends}, adduser, python-simplejson, python-bzrlib (>= 1.17~), python-bzrlib (<< 2.6.0)
+Suggests: python-pastedeploy (>= 1.3.0), loggerhead-doc, bzr
 Enhances: bzr
 Recommends: bzr-search, python-pygments
 Description: Web viewer for Bazaar
  This is a web viewer for projects in the Bazaar version control system. 
  It can be used to navigate a branch history, annotate files, view patches and
- perform searches. 
+ perform searches.
 
 Package: loggerhead-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,13 @@
 	$(CONCURRENCY) BZR_PLUGINS_AT=loggerhead@$(CURDIR) /usr/bin/bzr selftest \
 	    --parallel=fork -v -s bp.loggerhead
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	cd docs/ && $(MAKE) clean
+
+override_dh_auto_build:
+	dh_auto_build --with python2 --buildsystem=python_distutils
+	cd docs/ && $(MAKE) html
+	rm -rf docs/_build/html/_static/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js docs/_build/html/_static/

## loggerhead 1.19~bzr479

=== debian/changelog ===
loggerhead (1.19~bzr479-3) unstable; urgency=low

  * Team upload.
  * debian/control: Mark as compatible with bzr 2.6. (Closes: #718729).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 04 Aug 2013 17:03:32 -0400

loggerhead (1.19~bzr479-2) unstable; urgency=low

  * Updated Standards-Version to 3.9.3 (no changes).
  * Use packaged underscore.js rather than shipping an embedded copy.
  * Simpler way to filter static files out of the distutils installation.

 -- Roland Mas <lolando@debian.org>  Thu, 08 Nov 2012 21:17:30 +0100

Loggerhead (1.19~bzr479-1) unstable; urgency=low

  * Port to current YUI API, and use the packaged version rather than
    shipping an embedded copy (closes: #607447).  Thanks to Rick Harding
    for much help with the porting.
  * And let's grab the latest from upstream while we're at it.

 -- Roland Mas <lolando@debian.org>  Wed, 07 Nov 2012 17:12:43 +0100

loggerhead (1.19~bzr477-1) unstable; urgency=low

  * New upstream snapshot (actually, it's 1.18.2).
  * I guess I should step up as maintainer (closes: #668933).  Thanks,
    Jelmer!
  * Ship static files in their proper place.

 -- Roland Mas <lolando@debian.org>  Tue, 06 Nov 2012 22:49:45 +0100

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Roland Mas <lolando@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: bzr (>= 1.17~), bzr (<< 2.7.0), python-testtools, python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-sphinx, python-fixtures
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-pkg-resources, python-paste (>= 1.6), python-simpletal, python-simplejson
Standards-Version: 3.9.3
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/loggerhead/unstable/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/loggerhead/unstable/files

Package: loggerhead
Architecture: all
Depends: ${python:Depends}, python-simpletal, python-pkg-resources,
 python-paste (>= 1.6), ${misc:Depends}, adduser, python-simplejson,
 python-bzrlib (>= 1.17~), python-bzrlib (<< 2.7.0), libjs-yui3-min
Suggests: python-pastedeploy (>= 1.3.0), loggerhead-doc, bzr
Enhances: bzr
Recommends: bzr-search, python-pygments
Description: Web viewer for Bazaar
 This is a web viewer for projects in the Bazaar version control system. 
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.

Package: loggerhead-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: loggerhead
Enhances: loggerhead
Description: Web viewer for Bazaar (documentation)
 This is a web viewer for projects in the Bazaar version control system. 
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,4 @@
 override_dh_auto_build:
 	dh_auto_build --with python2 --buildsystem=python_distutils
 	cd docs/ && $(MAKE) html
-	rm -rf docs/_build/html/_static/jquery.js
-	ln -s /usr/share/javascript/jquery/jquery.js docs/_build/html/_static/
+	cd docs/_build/html/_static/ && rm jquery.js underscore.js

=== debian/watch ===
version=3
https://launchpad.net/loggerhead/+download http://launchpad.net/loggerhead/.*/loggerhead-(.+).tar.gz

## loggerhead 1.19~bzr479+dfsg

=== Makefile ===

PYTHON ?= python

dist:
	$(PYTHON) ./setup.py sdist

clean:
	rm -rf dist/

check:
	BZR_PLUGINS_AT=loggerhead@$$(pwd) bzr selftest -s bp.loggerhead

=== debian/changelog ===
loggerhead (1.19~bzr479+dfsg-3) unstable; urgency=medium

  * Bump debhelper to version 9.
  * Update Vcs-Bzr headers.
  * Add debian upstream metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Sep 2018 18:26:19 +0000

loggerhead (1.19~bzr479+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use canonical URL in Vcs-Bzr header.
  * Re-add myself to uploaders.

  [ Vincent Ladeuil ]
  * Bump versionized dependency on bzr. Closes: #822653
  * Add myself to Uploaders.

  [ Jelmer Vernooĳ ]
  * Add patch request-method.patch: Support running tests with bzr-git
    plugin installed.
  * Bump standards version to 3.9.8 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Sep 2016 15:04:28 +0000

loggerhead (1.19~bzr479+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Remove myself from uploaders.

  [ Andrew Starr-Bochicchio ]
  * Use machine readable copyright format.
  * Add get-orig-source target that strips out the bundled
    copy of YUI3 and create a DFSG clean tarball (Closes: #737427).
    We already use the system copy anyways.
  * In debian/watch, use the dversionmangle option to remove the dfsg
    before version number comparison.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add myself to Uploaders.
  * Run wrap-and-sort over debian/control.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 11 Mar 2014 13:25:26 -0400

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: bzr (<< 2.8.0),
                     bzr (>= 1.17~),
                     python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
                     python-fixtures,
                     python-sphinx,
                     python-subunit,
                     python-testtools
Build-Depends: debhelper (>= 9),
               python (>= 2.6.6-3),
               python-paste (>= 1.6),
               python-pkg-resources,
               python-simplejson,
               python-simpletal
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable

Package: loggerhead
Architecture: all
Depends: adduser,
         libjs-yui3-min,
         python-bzrlib (<< 2.8.0),
         python-bzrlib (>= 1.17~),
         python-paste (>= 1.6),
         python-pkg-resources,
         python-simplejson,
         python-simpletal,
         ${misc:Depends},
         ${python:Depends}
Suggests: bzr, loggerhead-doc, python-pastedeploy (>= 1.3.0)
Enhances: bzr
Recommends: bzr-search, python-pygments
Description: Web viewer for Bazaar
 This is a web viewer for projects in the Bazaar version control system.
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.

Package: loggerhead-doc
Architecture: all
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: loggerhead
Enhances: loggerhead
Description: Web viewer for Bazaar (documentation)
 This is a web viewer for projects in the Bazaar version control system.
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,20 @@
 #!/usr/bin/make -f
 
+PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
+PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
+UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
+REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')
+UURL = lp:loggerhead
+DTYPE = +dfsg
+VER  ?= $(subst $(DTYPE),,$(UVER))
+
+## http://wiki.debian.org/onlyjob/get-orig-source
+.PHONY: get-orig-source
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
+	@
+
 %:
-	dh --with python2 --buildsystem=python_distutils $*
+	dh $* --with=python2 --buildsystem=python_distutils
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -18,6 +31,18 @@
 	cd docs/ && $(MAKE) clean
 
 override_dh_auto_build:
-	dh_auto_build --with python2 --buildsystem=python_distutils
+	dh_auto_build 
 	cd docs/ && $(MAKE) html
 	cd docs/_build/html/_static/ && rm jquery.js underscore.js
+
+$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
+	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
+	bzr export --revision=$(REV) $(PKG)-$(VER) $(UURL) \
+	|| $(RM) -r $(PKG)-$(VER)
+	@echo "# Removing copy of YUI3..."
+	cd $(PKG)-$(VER) \
+		&& $(RM) -r -v \
+		loggerhead/static/javascript/yui
+	@echo "# Packing..."
+	XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
+	&& $(RM) -r "$(PKG)-$(VER)"

## loggerhead 1.19~bzr479+dfsg+brz

=== debian/changelog ===
loggerhead (1.19~bzr479+dfsg+brz) experimental; urgency=medium

  * Update packaging format to 3.0 (native).
  * Change packages to be transitional for loggerhead-breezy.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Move transitional packages loggerhead, loggerhead-doc to
    oldlibs/optional per policy 4.0.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Feb 2019 21:45:27 +0000

=== debian/control ===
Source: loggerhead
Section: oldlibs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/experimental
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/experimental

Package: loggerhead
Architecture: all
Depends: loggerhead-breezy, ${misc:Depends}
Conflicts: bzr (<< 2.7.0+bzr6622+brz)
Description: transitional dummy package for loggerhead-breezy
 This is a transitional package, replacing the Bazaar packaging
 with the Breezy packaging.
 .
 It can be safely removed after an upgrade.
Section: oldlibs

Package: loggerhead-doc
Architecture: all
Depends: loggerhead-breezy-doc, ${misc:Depends}
Conflicts: bzr (<< 2.7.0+bzr6622+brz)
Description: transitional dummy package for loggerhead-breezy-doc
 This is a transitional package, replacing the Bazaar packaging
 with the Breezy packaging.
 .
 It can be safely removed after an upgrade.
Section: oldlibs

=== debian/rules ===
#!/usr/bin/make -f


override_dh_auto_build:

override_dh_auto_install:

%:
	dh $*

## loggerhead 1.19~bzr494

=== Makefile ===

PYTHON ?= python

dist:
	$(PYTHON) ./setup.py sdist

clean:
	rm -rf dist/

check:
	BRZ_PLUGINS_AT=loggerhead@$$(pwd) brz selftest -s bp.loggerhead

=== debian/changelog ===
loggerhead (1.19~bzr494-1) unstable; urgency=medium

  * New upstream snapshot. Closes: #941008
  * Use set -e rather than passing -e on the shebang-line.
  * Bump debhelper from old 11 to 12.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Bump standards version to 4.4.0.
  * Use secure URI in debian/watch.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump standards version to 4.2.1 (no changes).
  * Add autokgtest test that runs the testsuite.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Sep 2019 18:28:06 +0000

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: brz (>= 3.0.0~), python3-breezy.tests, python3-fixtures, python3-sphinx, python3-subunit, python3-testtools, python3-setuptools, python3-bleach
Build-Depends: python3-all,
               python3-dulwich,
               python3-paste (>= 1.6),
               python3-pkg-resources,
               python3-simplejson,
               python3-simpletal,
               dh-python,
               debhelper-compat (= 12)
Standards-Version: 4.4.0
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable

Package: loggerhead
Architecture: all
Depends: adduser, libjs-yui3-min, python3-breezy (>= 3.0.0~), python3-paste (>= 1.6), python3-pkg-resources, python3-simplejson, python3-simpletal, ${misc:Depends}, ${python3:Depends}, python3-bleach, python3-dulwich
Suggests: brz, loggerhead-breezy-doc, python3-pastedeploy (>= 1.3.0)
Enhances: brz
Recommends: python3-pygments
Description: Web viewer for Breezy
 This is a web viewer for projects in the Breezy version control system.
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.

Package: loggerhead-doc
Architecture: all
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: loggerhead
Enhances: loggerhead
Description: Web viewer for Breezy (documentation)
 This is a web viewer for projects in the Breezy version control system.
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')
UURL = lp:loggerhead
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $* --with python3 --buildsystem=pybuild

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) $(CONCURRENCY) BRZ_PLUGINS_AT=loggerhead@$(CURDIR) /usr/bin/brz selftest \
	    --parallel=fork -v -s bp.loggerhead
endif

override_dh_auto_clean:
	dh_auto_clean
	cd docs/ && $(MAKE) clean

override_dh_auto_build:
	dh_auto_build
	cd docs/ && $(MAKE) html
	cd docs/_build/html/_static/ && rm jquery.js underscore.js

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	bzr export --revision=$(REV) $(PKG)-$(VER) $(UURL) \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "# Removing copy of YUI3..."
	cd $(PKG)-$(VER) \
		&& $(RM) -r -v \
		loggerhead/static/javascript/yui
	@echo "# Packing..."
	XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/tests/control ===
Tests: testsuite
Depends: @, brz, python3-breezy.tests, python3-subunit
Restrictions: allow-stderr

## loggerhead 1.19~bzr496

=== debian/changelog ===
loggerhead (1.19~bzr496-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add patch html-escape.patch.
  * Update standards version to 4.4.1, no changes needed.
  * Add Rules-Requires-Root: no.
  * Bump standards to version 4.5.0.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 May 2020 19:01:32 +0000

## loggerhead 1.19~bzr498

=== debian/changelog ===
loggerhead (1.19~bzr498-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 11 May 2020 10:06:50 +0000

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,10 @@
                python3-simpletal,
                dh-python,
                debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable
 Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable
+Rules-Requires-Root: no
 
 Package: loggerhead
 Architecture: all

## loggerhead 1.19~bzr501

=== debian/changelog ===
loggerhead (1.19~bzr501-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 08 Jun 2020 11:52:50 +0000

loggerhead (1.19~bzr498-2) unstable; urgency=medium

  * Add patch jquery.patch: replace YUI with jQuery. Closes: #962168

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Jun 2020 20:26:08 +0000

## loggerhead 1.19~bzr511

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-PYTHON ?= python
+PYTHON ?= python3
 
 dist:
 	$(PYTHON) ./setup.py sdist

=== requirements.txt ===
Paste >= 1.6
dulwich == 0.19.16; python_version < "3"
dulwich; python_version >= "3"
testtools
breezy
bleach
https://www.owlfish.com/software/simpleTAL/downloads/SimpleTAL-4.3.tar.gz; python_version < "3"
https://www.owlfish.com/software/simpleTAL/downloads/SimpleTAL-5.2.tar.gz; python_version >= "3"

=== debian/changelog ===
loggerhead (1.19~bzr511-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add patch isalive.patch: avoid use of removed Thread.IsAlive() on
    newer versions of Python. Closes: #975798

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Nov 2020 22:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: loggerhead
 Architecture: all
-Depends: adduser, libjs-yui3-min, python3-breezy (>= 3.0.0~), python3-paste (>= 1.6), python3-pkg-resources, python3-simplejson, python3-simpletal, ${misc:Depends}, ${python3:Depends}, python3-bleach, python3-dulwich
+Depends: adduser, libjs-jquery, python3-breezy (>= 3.0.0~), python3-paste (>= 1.6), python3-pkg-resources, python3-simplejson, python3-simpletal, ${misc:Depends}, ${python3:Depends}, python3-bleach, python3-dulwich
 Suggests: brz, loggerhead-breezy-doc, python3-pastedeploy (>= 1.3.0)
 Enhances: brz
 Recommends: python3-pygments

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	cd docs/ && $(MAKE) html
-	cd docs/_build/html/_static/ && rm jquery.js underscore.js
 
 $(PKG)_$(VER)$(DTYPE).orig.tar.xz:
 	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
https://launchpad.net/loggerhead/+download https://launchpad.net/loggerhead/.*/loggerhead-(.+).tar.gz

## loggerhead 1.19~bzr524

=== requirements.txt ===
setuptools
Paste >= 1.6
dulwich; python_version > "3.5"
dulwich <= 0.20.25; python_version <= "3.5"
testtools
breezy >= 3.1; python_version > "3.5"
breezy >= 3.1, < 3.2; python_version <= "3.5"
bleach; python_version > "3.5"
bleach < 4.0.0; python_version <= "3.5"
packaging < 21.0; python_version <= "3.5"
https://www.owlfish.com/software/simpleTAL/downloads/SimpleTAL-5.2.tar.gz
Pygments < 2.12; python_version <= "3.5"
Pygments; python_version > "3.5"
certifi < 2022.5.18; python_version <= "3.5"
fixtures < 4.0.0; python_version <= "3.5"

=== debian/changelog ===
loggerhead (1.19~bzr524-1) unstable; urgency=low

  * Remove obsolete link for yui. Closes: #988860
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 11 Jul 2022 15:23:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -33,10 +33,6 @@
 	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
 	bzr export --revision=$(REV) $(PKG)-$(VER) $(UURL) \
 	|| $(RM) -r $(PKG)-$(VER)
-	@echo "# Removing copy of YUI3..."
-	cd $(PKG)-$(VER) \
-		&& $(RM) -r -v \
-		loggerhead/static/javascript/yui
 	@echo "# Packing..."
 	XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
 	&& $(RM) -r "$(PKG)-$(VER)"

## loggerhead 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 bleach; python_version > "3.5"
 bleach < 4.0.0; python_version <= "3.5"
 packaging < 21.0; python_version <= "3.5"
-https://www.owlfish.com/software/simpleTAL/downloads/SimpleTAL-5.2.tar.gz
 Pygments < 2.12; python_version <= "3.5"
 Pygments; python_version > "3.5"
 certifi < 2022.5.18; python_version <= "3.5"

## loggerhead 2.0.1+bzr541+ds

=== debian/changelog ===
loggerhead (2.0.1+bzr541+ds-2) unstable; urgency=medium

  * Drop running no longer installed testsuite in debian/tests/control.
    Closes: #1016452

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Oct 2022 10:31:16 +0100

loggerhead (2.0.1+bzr541+ds-1) unstable; urgency=medium

  * Remove incorrect field Homepage from debian/upstream/metadata.
  * Update standards version to 4.6.1, no changes needed.
  * Update watch file format version to 4.
  * d/t/control: Add missing dependency on python-pygments. Closes:
    #1022140
  * New upstream snapshot.
   + Fixes compatibility with newer versions of Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 21 Oct 2022 00:11:09 +0100

loggerhead (2.0.0-2) unstable; urgency=medium

  * Run tests from source since they are no longer installed. Closes:
    #1019509

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Sep 2022 02:05:36 +0100

loggerhead (2.0.0-1) unstable; urgency=medium

  * Drop dependency on simpletal, move to chameleon.
  * New upstream release.
   + Fixes FTBFS. Closes: #1016452
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 21 Aug 2022 14:38:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Andrew Starr-Bochicchio <asb@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://launchpad.net/loggerhead
-Build-Depends-Indep: brz (>= 3.0.0~), python3-breezy.tests, python3-fixtures, python3-sphinx, python3-subunit, python3-testtools, python3-setuptools, python3-bleach
+Build-Depends-Indep: brz (>= 3.0.0~), python3-breezy.tests, python3-fixtures, python3-sphinx, python3-subunit, python3-testtools, python3-setuptools, python3-bleach, python3-chameleon
 Build-Depends: python3-all,
                python3-dulwich,
                python3-paste (>= 1.6),
@@ -15,15 +15,15 @@
                python3-simplejson,
                python3-simpletal,
                dh-python,
-               debhelper-compat (= 12)
-Standards-Version: 4.5.0
+               debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable
 Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable
 Rules-Requires-Root: no
 
 Package: loggerhead
 Architecture: all
-Depends: adduser, libjs-jquery, python3-breezy (>= 3.0.0~), python3-paste (>= 1.6), python3-pkg-resources, python3-simplejson, python3-simpletal, ${misc:Depends}, ${python3:Depends}, python3-bleach, python3-dulwich
+Depends: adduser, libjs-jquery, python3-breezy (>= 3.0.0~), python3-paste (>= 1.6), python3-pkg-resources, python3-simplejson, python3-chameleon, ${misc:Depends}, ${python3:Depends}, python3-bleach, python3-dulwich
 Suggests: brz, loggerhead-breezy-doc, python3-pastedeploy (>= 1.3.0)
 Enhances: brz
 Recommends: python3-pygments

## loggerhead 2.0.1+bzr548

=== debian/changelog ===
loggerhead (2.0.1+bzr548-1) unstable; urgency=medium

  * Drop unused dependency on python3-simplejson. Closes: #1080170
  * Drop unused dependency on python3-simpletal.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 31 Aug 2024 01:15:03 +0100

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: brz (>= 3.0.0~),
                     python3-bleach,
                     python3-breezy.tests,
                     python3-chameleon,
                     python3-fixtures,
                     python3-setuptools,
                     python3-sphinx,
                     python3-subunit,
                     python3-testtools
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-dulwich,
               python3-paste (>= 1.6),
               python3-pkg-resources
Standards-Version: 4.6.1
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/loggerhead/unstable
Rules-Requires-Root: no

Package: loggerhead
Architecture: all
Depends: adduser,
         libjs-jquery,
         python3-bleach,
         python3-breezy (>= 3.0.0~),
         python3-chameleon,
         python3-dulwich,
         python3-paste (>= 1.6),
         python3-pkg-resources,
         python3-simplejson,
         ${misc:Depends},
         ${python3:Depends}
Suggests: brz,
          loggerhead-breezy-doc,
          python3-pastedeploy (>= 1.3.0)
Enhances: brz
Recommends: python3-pygments
Description: Web viewer for Breezy
 This is a web viewer for projects in the Breezy version control system.
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.

Package: loggerhead-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Suggests: loggerhead
Enhances: loggerhead
Description: Web viewer for Breezy (documentation)
 This is a web viewer for projects in the Breezy version control system.
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.
 .
 This package provides the documentation.
